Description: What steps will reproduce the problem?

1. Setup LDAP authorization
2. Turn down LDAP server
3. Try login using account with LDAP authorization

What is the expected output? What do you see instead?
It should inform user about that authorization source is unavailable at the moment.
But instead of that it just crash and give 500 to user.

History
2012-03-27 12:47 pm - Robert Mitwicki
- Status changed from Open to Ready for review

I made some improvements in LDAP support, especial with test LDAP authorization. 
But main thing is right now CP not crash when LDAP is offline and user will get info about that.

2012-03-27 05:06 pm - Holger Just
Pull request is at https://github.com/chiliproject/chiliproject/pull/177

2012-06-07 02:28 pm - Felix Schäfer
- Status changed from Ready for review to Open

Hello Robert,

I had a look at your pull request and I have one major problem with it: the return value of methods should not be changed and errors shouldn't be 
passed as return values.

The "better" ruby way would be to define a new error class, throw that where the error occurs and catch it where you want to catch it. Have a look at 
source:/app/models/mail_handler.rb#L19 for an example (probably not a good one, but you should get the idea).

2012-06-08 10:02 am - Robert Mitwicki
Hi,
You have right, I will fix that and give You know.
Thanks for review.
